Skip to main content
POST
/
watchlists
/
create-from-tags
curl --request POST \ --url https://api.nevua.markets/watchlists/create-from-tags \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "name": "Sports & Esports", "includeTags": [ "sports", "esports" ], "matchOperator": "OR", "automaticallyAddMatchingEvents": true } '
{ "watchListId": "507f1f77bcf86cd799439011", "watchListName": "Sports & Entertainment", "eventCount": 25, "marketCount": 67 }

Documentation Index

Fetch the complete documentation index at: https://docs.nevua.markets/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string
required
includeTags
string[]
required
matchOperator
enum<string>
required
Available options:
AND,
OR
excludeTags
string[]
automaticallyAddMatchingEvents
boolean

Response

Watchlist created successfully

watchListId
string
required
watchListName
string
required
eventCount
number
required
marketCount
number
required